//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "disegno1.h"
#include <Math.hpp>
#include "Math.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)

#pragma resource "*.dfm"
#pragma resource "WindowsXP.res"

TForm1 *Form1;

TPoint p;
float angle;

//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
    p.x = RoundTo(Image1->Width / 2, 0);
    p.y = RoundTo(Image1->Height / 2, 0);
    Image1->Canvas->Pen->Color = clWhite;
    Image1->Canvas->LineTo(p.x, p.y);
    Image1->Canvas->Pen->Color = clBlack;
    angle = 0;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnAvanzaClick(TObject *Sender)
{
     int dx, dy;

     angle = angle + ((trkAngolo->Position / 360.0) * 2 * M_PI);

     dx = RoundTo(trkDist->Position * cos(angle),0);
     dy = RoundTo(trkDist->Position * sin(angle),0);

     Image1->Canvas->LineTo(p.x + dx, p.y + dy);

     p.x = p.x + dx;
     p.y = p.y + dy;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnPulisciClick(TObject *Sender)
{
    Image1->Canvas->Pen->Color = clWhite;
    Image1->Canvas->Rectangle(0,0,Image1->Width, Image1->Height);
    Image1->Canvas->Pen->Color = clBlack;

    p.x = RoundTo(Image1->Width / 2, 0);
    p.y = RoundTo(Image1->Height / 2, 0);
    Image1->Canvas->Pen->Color = clWhite;
    Image1->Canvas->LineTo(p.x, p.y);
    Image1->Canvas->Pen->Color = clBlack;
    angle = 0;                
}
//---------------------------------------------------------------------------
void __fastcall TForm1::trkDistChange(TObject *Sender)
{
    edtDist->Text = IntToStr(trkDist->Position);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::trkAngoloChange(TObject *Sender)
{
    edtAngolo->Text = IntToStr(trkAngolo->Position);
}
//---------------------------------------------------------------------------
